hpitree(1)

NAME
hpitree - A openhpi sample application that shows in details the resources (rpt's) and resources' manamegement instruments (rdr's) data structures of the managed openHPI complex.

SYNOPSIS
 hpitree [-D nn] [-N host[:port]] [-C <cfgfile>] [-acdiorsw ] [-n nn] [-X] [-h]
 hpitree [--domain=nn] [--host=host[:port]] [--cfgfile=file] [--all] [--controls] [--rdrs] [--inventories] [--rpts]
         [--sensors] [--watchdogs] [--overview] [--resource=nn] [--debug] [--help]

DESCRIPTION
hpitree walks the Resource Presence Table (RPT) of the managed openHPI complex, and displays in details the resources (rpt's) and resources' management instruments (rdr's) data structures.

If no domain or host is selected, hpitree uses the default domain as specified in the openhpiclient.conf file.

OPTIONS
(No Option) Display all rpts and rdrs

  Help Options:

-h, --help
    Show help options

  Application Options:

-a, --all
    Display all rpts and rdrs (default)

-r, --rpts
    Display only rpts

-d, --rdrs
    Display rdr records

-o, --overview
    Display system overview: rpt & rdr headers

-s, --sensors
    Display only sensors

-c, --controls
    Display only controls

-w, --watchdogs
    Display only watchdogs

-i, --inventories
    Display only inventories

-n nn, --resource=nn
    Display only resource nn and its topology

-D nn, --domain=nn
    Select domain id nn

-X, --debug
    Display debug messages

-N "host[:port]", --host="host[:port]"
    Open session to the domain served by the daemon at the specified URL (host:port). This option overrides the OPENHPI_DAEMON_HOST and OPENHPI_DAEMON_PORT environment variables. If host contains ':' (for example IPv6 address) then enclose it in square brackets. For example: "[::1]" or "[::1]:4743".

-C "file", --cfgfile="file"
    Use passed file as client configuration file. This option overrides the OPENHPICLIENT_CONF environment variable.

SEE ALSO
         hpi_shell
         hpialarms      hpifan         hpipower       hpithres
         hpidomain      hpigensimdata  hpireset       hpitop
         hpiel          hpiiinv        hpisensor      hpiwdt
         hpievents      hpionIBMblade  hpisettime     hpixml
         ohdomainlist   ohhandler      ohparam

AUTHORS
Authors of this man page:

 Peter D Phan (pdphan@users.sourceforge.net)
 Ulrich Kleber (ulikleber@users.sourceforge.net)
 Anton Pak (avpak@users.sourceforge.net)